package domain


type AlibabaWdkItemMorebarcodeOpsUpdateMoreBarCodeRequestBean struct {
    /*
        机构编码     */
    OrgCode  *string `json:"org_code,omitempty" `

    /*
        商品编码     */
    SkuCode  *string `json:"sku_code,omitempty" `

    /*
        list     */
    BarCodeBoList  *[]AlibabaWdkItemMorebarcodeOpsBarcodebolist `json:"bar_code_bo_list,omitempty" `

}

func (s *AlibabaWdkItemMorebarcodeOpsUpdateMoreBarCodeRequestBean) SetOrgCode(v string) *AlibabaWdkItemMorebarcodeOpsUpdateMoreBarCodeRequestBean {
    s.OrgCode = &v
    return s
}
func (s *AlibabaWdkItemMorebarcodeOpsUpdateMoreBarCodeRequestBean) SetSkuCode(v string) *AlibabaWdkItemMorebarcodeOpsUpdateMoreBarCodeRequestBean {
    s.SkuCode = &v
    return s
}
func (s *AlibabaWdkItemMorebarcodeOpsUpdateMoreBarCodeRequestBean) SetBarCodeBoList(v []AlibabaWdkItemMorebarcodeOpsBarcodebolist) *AlibabaWdkItemMorebarcodeOpsUpdateMoreBarCodeRequestBean {
    s.BarCodeBoList = &v
    return s
}
